> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Audit



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/audits/{audit_id}
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/audits/{audit_id}:
    get:
      tags:
        - Brands
        - Brands
      summary: Get Audit
      operationId: get_audit_api_v1_brands__brand_id__audits__audit_id__get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: audit_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Audit Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandAuditResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BrandAuditResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        brand_id:
          type: string
          format: uuid
          title: Brand Id
        audit_type:
          type: string
          title: Audit Type
        platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform
        status:
          type: string
          title: Status
        overall_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Overall Score
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        results:
          additionalProperties: true
          type: object
          title: Results
        recommendations:
          items: {}
          type: array
          title: Recommendations
        output_files:
          items: {}
          type: array
          title: Output Files
        cost_usd:
          type: number
          title: Cost Usd
          default: 0
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - brand_id
        - audit_type
        - status
        - created_at
        - updated_at
      title: BrandAuditResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````